Bug 148817 - [patch] security/gnupg: LICENSE_FILE is used without _lic suffix
[patch] security/gnupg: LICENSE_FILE is used without _lic suffix
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 11:40 UTC by swell.k
Modified: 2010-07-23 14:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-07-21 11:40:01 UTC

How-To-Repeat: either
  $ make LICENSES_ASK=

    -> VIEW_GPLv3  View the license GPLv3
       VIEW_LGPL3  View the license LGPL3
       ACCEPT      Accept the licenses (all)
       REJECT      Reject the licenses (all)

    The license: GPLv3 (GNU General Public License version 3) is standard,
    please read from the web.

or
  $ cat $(make -V _LICENSE_DIR)/GPLv3
  The license: GPLv3 (GNU General Public License version 3) is standard,
  please read from the web.
Comment 1 Alexander Best freebsd_committer 2010-07-21 14:21:51 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

Ports PR
Comment 2 Edwin Groothuis freebsd_committer 2010-07-21 15:08:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 swell.k 2010-07-21 16:00:13 UTC
Here is the stripped patch. Sorry, I assumed gnats was smart enough to
understand base64 mails.

--- a.diff begins here ---
Index: security/gnupg/Makefile
===================================================================
RCS file: /a/.cvsup/ports/security/gnupg/Makefile,v
retrieving revision 1.129
diff -u -p -r1.129 Makefile
--- security/gnupg/Makefile	20 Jul 2010 14:01:49 -0000	1.129
+++ security/gnupg/Makefile	21 Jul 2010 05:59:55 -0000
@@ -25,7 +25,8 @@ LIB_DEPENDS=	assuan.0:${PORTSDIR}/securi
 
 LICENSE=	GPLv3 LGPL3
 LICENSE_COMB=	multi
-LICENSE_FILE=	${WRKSRC}/COPYING ${WRKSRC}/COPYING.LIB
+LICENSE_FILE_GPLv3=	${WRKSRC}/COPYING
+LICENSE_FILE_LGPL3=	${WRKSRC}/COPYING.LIB
 USE_BZIP2=	YES
 USE_GMAKE=	YES
 GNU_CONFIGURE=	YES
--- a.diff ends here ---
Comment 4 Jun Kuriyama freebsd_committer 2010-07-23 14:43:33 UTC
State Changed
From-To: open->closed

Fixed, thanks!
Comment 5 dfilter freebsd_committer 2010-07-23 14:43:39 UTC
kuriyama    2010-07-23 13:43:26 UTC

  FreeBSD ports repository

  Modified files:
    security/gnupg       Makefile 
  Added files:
    security/gnupg/files patch-keybox-blob.c 
  Log:
  - Fix $LICENSE_FILE [1].
  - Fix realloc bug in GPGSM (not affected GPG itself) [2].
  
  PR:             ports/148817 [1]
  Submitted by:   Anonymous <swell.k@gmail.com> [1]
  Security:       http://lists.gnupg.org/pipermail/gnupg-announce/2010q3/000302.html [2]
  
  Revision  Changes    Path
  1.130     +3 -1      ports/security/gnupg/Makefile
  1.1       +10 -0     ports/security/gnupg/files/patch-keybox-blob.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"